<?php

namespace App\Services\Equipment\Part;

use App\Entities\Equipment\Part\CpuEntity;
use App\Models\Equipment\Part\CpuModel;
use CodeIgniter\HTTP\IncomingRequest;
use App\Services\Equipment\Link\CpuService as LinkService;

class CpuService extends PartService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Cpu');
    }
    public function getModelClass(): CpuModel
    {
        return new CpuModel;
    }
    public function getEntityClass(): CpuEntity
    {
        return new CpuEntity();
    }
    protected function getLinkService(): LinkService
    {
        return new LinkService($this->request);
    }
}
